// TEST MOTOSHIELD
// Klaxon : Tone + Timer
// Phare : PWM

#include <Tone.h>

// TIMER 0 : 5/6 (PHARE)
// TIMER 1 : 9/10 OCR1A/OCR1B (KLAXON / PWM : 10KHZ)
// TIMER 2 : 3/11 (TONE)

Tone tone1;
int pinTone = 3; // Klaxon tone > pin 6 of the shield
int pinPwm = 9; // Klaxon
int periodePWM = 800;

int pinPhPwm = 5; // Phare

void setup() {
  // ENABLE
  pinMode(8,OUTPUT);
  pinMode(12,OUTPUT); // > pin 9
  digitalWrite(8,HIGH);
  digitalWrite(12,HIGH);
  
  TCCR1A = 0b10100000;
  TCCR1B = 0b00010001;
  ICR1 = periodePWM;

  pinMode(pinPwm, OUTPUT);
  pinMode(pinPhPwm, OUTPUT);   
  tone1.begin(pinTone);
  
  delay(2000);
}

void loop() {  
  
//  analogWrite(pinPhPwm, 200);
//  delay(1000);
//  analogWrite(pinPhPwm, 120);
//  delay(1000); 

  
  tone1.play(200);
  OCR1A = 450;
  analogWrite(pinPhPwm, 100);
  
  delay(1000);
  
  
  tone1.play(250);
  OCR1A = 500;
  analogWrite(pinPhPwm,150);
  
  delay(1000);
  
  
  tone1.play(300);
  OCR1A = 600; 
  analogWrite(pinPhPwm,200);

  delay(1000);
  
  analogWrite(pinPhPwm,0);
  tone1.stop();
  
  delay(2000);
}
